Subject: Re: upgarding GIT

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 07 Aug 2017 13:09:32 +0200

On Mon, Aug 07 2017, James Wells jotted:

> Hi All
>
> I am fairly new to git, however I have a challenge of upgrading git from 2.0.4 to 2.4.12 and my initial 2.0.4 install was done via TAR BALL on my server.
>
> I have a centos server running git and Atlassian STASH and my challenge is for me to upgrade the STASH application I need to move to a newer version of git.
>
> How do I go about upgrading git from TAR BALL installs , is there an easy way as I would prefer not to have to create a new server and migrate everything across , I would like to perform the upgrade on the current local server if it is at all possible.
>
> Any assistance is most welcome and I would appreciate your feedback or comments on how you would go about achieving this task.
>
> Thanks
> J

This is really a question of "hey I ran 'make install' on this thing in
the past, how do I now upgrade it?". There's nothing git-specific about
this, git doesn't do anything special that 99% of the software you run
on CentOS wouldn't do in this scenario.

I'm not saying this to be an unhelpful smartass, but just to point out
that to look for a solution you don't need to search for e.g. "how to
replace git package" on Google, but just how to replace manually
installed packages in general.

You're going to want to install git via RPM/yum. CentOS already has a
package for it.

It may fail because of existing files, you can likely force it or
manually remove the files first.

Be careful not to end up with directories which contain some
Frankensteinian combination of old tar.gz installed files & newly
installed files. You can use RPM to list what package owns given files,
you should manually remove e.g. some git-whatever command that's not
managed by rpm living alongside your newly installed stuff.